#!/bin/bash

plugin='cxs-scan'
cpinstPath='/opt/cpinst/cpinst/plugins/'
pluginPath='/usr/local/cpanel/base/frontend/'
themeA='paper_lantern'
themeB='jupiter'
cronJob='cxsScan'

#if [ ! -d "$pluginPath""$themeA"/"$plugin" ]; then
#    # Copy the plugin directory to the target path
#    cp -rf "$cpinstPath""$plugin" "$pluginPath""$themeA"
    
    # Install the plugin
#    /usr/local/cpanel/scripts/install_plugin "$pluginPath""$themeA"/"$plugin" --theme "$themeA"
    
    # Generate the sprite map
#    /usr/local/cpanel/bin/sprite_generator --theme "$themeA"
    
    # Create and store an API token
#    whmapi1 api_token_create token_name="$plugin"_"$themeA" | grep -oP 'token: \K.*' > "$pluginPath""$themeA"/"$plugin"/token.conf
#fi

if [ ! -d "$pluginPath""$themeB"/"$plugin" ]; then
    # Copy the plugin directory to the target path
    cp -rf "$cpinstPath""$plugin" "$pluginPath""$themeB"
    
    # Install the plugin
    /usr/local/cpanel/scripts/install_plugin "$pluginPath""$themeB"/"$plugin" --theme "$themeB"
    
    # Generate the sprite map
    /usr/local/cpanel/bin/sprite_generator --theme "$themeB"
    
    # Create and store an API token
    whmapi1 api_token_create token_name="$plugin"_"$themeB" whitelist_ip="127.0.0.1" | grep -oP 'token: \K.*' > "$pluginPath""$themeB"/"$plugin"/token.conf
fi

# Add a cron job
cp -f "$pluginPath""$themeB"/"$plugin"/cronJobs/"$cronJob".cron /etc/cron.d/
